#ifndef HelloInstantiator_h__guard
#define HelloInstantiator_h__guard


#include <pnp/pnp_instantiators.h>
#include <pnp/basic_plan/xml_plan_instantiator.h>
#include <pnp/pnpfwd.h>

#include "HelloCondition.h"

#include <string>

struct HelloInstantiator : public PetriNetPlans::ExecutableInstantiator {
	
	HelloInstantiator(const std::string& plandir);
	
PetriNetPlans::PnpExecutable* createExecutable(const std::string& name) throw(std::runtime_error);
	
private:
	std::string plandir;
	HelloCondition condition;
	PetriNetPlans::XMLPnpPlanInstantiator planLoader;
	
};


#endif
